Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelDeployments
/
{modelDeploymentId}
/
logs
/
{logSuffix}
Retrieve the logs for a specific Model Deployment
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelDeployments/{modelDeploymentId}/logs/{logSuffix} \
  --header 'X-Domino-Api-Key: <api-key>'
[
  {
    "log": "<string>",
    "streamType": "<string>",
    "tags": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "timeNano": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
]

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelDeploymentId
string
required

The id of the Model Deployment whose logs to retrieve

logSuffix
string
required

Generated suffix for the log key corresponding to the requested logs

Response

Logs of the Model Deployment with the requested id.

log
string
required

The content of the log line.

streamType
string
required

The type of stream the log line is sourced from.

tags
object[]
required

The tags of the log line.

timeNano
string
required

The time in nanoseconds of the log line.

timestamp
string<date-time>
required

The timestamp of the log line.